KCMAP_WRITE_RGB_VALUES(3)

EXPERIMENTAL_FUNC
kcmap_write_rgb_values - Write RGB values to a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

flag kcmap_write_rgb_values

(Kcolourmap cmap, unsigned int num_values, CONST unsigned short *reds, CONST unsigned short *greens, CONST unsigned short *blues, unsigned int stride)

DESCRIPTION
This routine will write ther data into a colourmap. If the colourmap changes size, then the <<resize_func>> registered is called.

cmap
    The colourmap object.

num_values
    The maximum number of colours to write.

red The red values.

green
    The green values.

blue
    The blue values.

stride
    The stride (in shorts) between values in the arrays.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/